Description

When the mac address of a physical interface changes the parser doesn't support updating the existing interface object. Often times

the "physical" interface will actually be virtual and the mac address may unexpectedly change (notable in OpenStack environments).

In combination with #12441 this results in duplicate entires in the `nics` table with the same identifier, which breaks editing the host

on the web interface and clutters the database. With #12441 resolved Host::Base.import.facts skips creating or updating existing nics

with changed mac addresses. If it is possible without disturbing existing functionality, it would be ideal to update the

Host::Base.get_interface_scope logic to update the existing nic object instead of attempting to create a new one.

History

#1 - 04/14/2016 09:16 AM - Marek Hulán

- Status changed from New to Need more information

What is an example of such interface? The idea was that physical interface is identified by unique MAC, so if it's let's say eth0 and its MAC was

changed according to facts, we can't say it's the same interface. It might be connected to different network so we try to create new one. So my

question is why does the interface change and what attributes change except MAC?

In Foreman 1.10, new setting was added that allows to selectively ignore interfaces matching a pattern, e.g. "veth*" so maybe you can use this.

#2 - 04/20/2016 01:18 PM - Brandon Weeks

- Status changed from Need more information to Rejected

This is no longer an issue, should have closed it sooner!

#3 - 04/21/2016 02:20 AM - Marek Hulán

Thanks for confirmation.
